examples/tesb/tomcat/app-reservation/src/main/java/org/talend/esb/client/model/CarSearchModel.java
/*
 * #%L
 * App Reservation Basic
 * %%
 * Copyright (C) 2011 - 2012 Talend Inc.
 * %%
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * #L%
 */

package org.talend.esb.client.model;

import java.util.List;

import org.talend.services.reservation.types.RESCarType;
import org.talend.services.crm.types.CustomerDetailsType;

public interface CarSearchModel {
	public int search(String userName, String pickupDate, String returnDate);

	public CustomerDetailsType getCustomer();

	public List<RESCarType> getCars();
}

examples/tesb/tomcat/app-reservation/src/main/webapp/WEB-INF/views/error.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@taglib uri="http://www.springframework.org/tags/form" prefix="form"%>
<!DOCTYPE html>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Rent-a-Car (Web) - Data Input</title>

<meta name="viewport" content="width=device-width, initial-scale=1">

<link rel="stylesheet" href="css/bootstrap.min.css">
<link rel="stylesheet" href="css/style.css">
</head>
<body>
	<div class="container">
		<p class="lead">The backend service does not work properly, sorry.</p>
		<p>${excptMessage}</p>
		<p>
			<form:form action="done" method="POST">
				<input type="submit" value="Try again" class="btn btn-primary" />
			</form:form>
		</p>
	</div>
</body>
</html>

examples/tesb/tomcat/app-reservation/src/main/webapp/WEB-INF/views/info.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@taglib uri="http://www.springframework.org/tags/form" prefix="form"%>
<!DOCTYPE html>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Rent-a-Car (Web) - Reservation Info</title>
<meta name="viewport" content="width=device-width, initial-scale=1">

<link rel="stylesheet" href="css/bootstrap.min.css">
<link rel="stylesheet" href="css/style.css">
</head>
<body>

	<div class="container">
		<h1>Rent-a-Car (Web)</h1>

		<!-- 		<p> -->
		<%-- 			<form:form action="done" method="POST"> --%>
		<!-- 				<input type="submit" value="Done" class="btn btn-primary" /> -->
		<%-- 			</form:form> --%>
		<!-- 		</p> -->

		<div class="top-space">
			<p class="h5 ${resStatus}">${confirm.description}</p>
		</div>

		<div class="form-group row">
			<div class="col-xs-2">Reservation ID</div>
			<div class="col-xs-2">
				<input type="text" readonly="readonly"
					value="${confirm.reservationId}" />
			</div>
		</div>

		<div class="form-group">
			<p>
				<em>Customer details</em>
			</p>

			<div class="row">
				<div class="col-xs-1">Name</div>
				<div class="col-xs-3">
					<input type="text" readonly="readonly"
						value="${confirm.customer.name}" />
				</div>
			</div>

			<div class="row">
				<div class="col-xs-1">EMail</div>
				<div class="col-xs-3">
					<input type="text" readonly="readonly"
						value="${confirm.customer.email}" />
				</div>
			</div>

			<div class="row">
				<div class="col-xs-1">City</div>
				<div class="col-xs-4">
					<input type="text" readonly="readonly"
						value="${confirm.customer.city}" />
				</div>
			</div>

			<div class="row">
				<div class="col-xs-1">Status</div>
				<div class="col-xs-4">
					<input type="text" readonly="readonly"
						value="${confirm.customer.status}" />
				</div>
			</div>
		</div>

		<div class="form-group">
			<p>
				<em>Car details</em>
			</p>
			<div class="row">
				<div class="col-xs-1">Brand</div>
				<div class="col-xs-4">
					<input type="text" readonly="readonly" value="${confirm.car.brand}" />
				</div>
			</div>
			<div class="row">
				<div class="col-xs-1">Model</div>
				<div class="col-xs-4">
					<input type="text" readonly="readonly"
						value="${confirm.car.designModel}" />
				</div>
			</div>
		</div>

		<div class="form-group">
			<p>
				<em>Reservation details</em>
			</p>
			<div class="row">
				<div class="col-sm-1">Pick up date</div>
				<div class="col-sm-2">
					<input type="text" readonly="readonly" value="${confirm.fromDate}"
						class="form-control-static" />
				</div>
				<div class="col-sm-1">Return date</div>
				<div class="col-sm-2">
					<input type="text" readonly="readonly" value="${confirm.toDate}" />
				</div>
			</div>
			<div class="row">
				<div class="col-sm-1">Daily rate</div>
				<div class="col-sm-2">
					<input type="text" readonly="readonly"
						value="${confirm.car.rateDay}" />
				</div>
				<div class="col-sm-1">Weekend rate</div>
				<div class="col-sm-2">
					<input type="text" readonly="readonly"
						value="${confirm.car.rateWeekend}" />
				</div>
			</div>
			<div class="row">
				<div class="col-sm-1">Credits</div>
				<div class="col-sm-2">
					<input type="text" readonly="readonly"
						value="${confirm.creditPoints}" />
				</div>
			</div>
		</div>

		<form:form action="done" method="POST">
			<input type="submit" value="Done" class="btn btn-primary" />
		</form:form>
	</div>
</body>
</html>

examples/tesb/tomcat/app-reservation/src/main/webapp/WEB-INF/views/input.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@taglib uri="http://www.springframework.org/tags/form" prefix="form"%>
<!DOCTYPE html>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Rent-a-Car (Web) - Data Input</title>

<meta name="viewport" content="width=device-width, initial-scale=1">

<link href="css/smoothness/jquery-ui-custom.min.css" rel="stylesheet">

<link rel="stylesheet" href="css/bootstrap.min.css">
<link rel="stylesheet" href="css/style.css">

<script src="js/jquery.min.js"></script>
<script src="js/jquery-ui.custom.min.js"></script>
<script src="js/bootstrap.min.js"></script>
<script type="text/javascript">
	$(function() {
		$("#pickupDate").datepicker({
			dateFormat : "dd.mm.yy"
		});
		$("#returnDate").datepicker({
			dateFormat : "dd.mm.yy"
		});
	});
</script>
</head>
<body>
	<div class="container">
		<form:form action="search" method="POST" commandName="inputData"
			class="form-datainput" role="form">
			<h1>Rent-a-Car (Web)</h1>
			<div class="form-group">
				<form:label path="customerName">Customer Name</form:label>
				<div class="input-group">
					<form:input path="customerName" class="form-control" />
					<div class="input-group-btn">
						<button type="button" class="btn btn-default dropdown-toggle"
							data-toggle="dropdown">
							<span class="caret"></span>
						</button>
						<ul class="dropdown-menu pull-right">
							<c:forEach items="${knownCustomers}" var="customer">
								<li><a
									onclick="$('#customerName').val('${customer}'); return false;"
									href="#">${customer}</a></li>
							</c:forEach>
						</ul>
					</div>
				</div>
				<form:errors path="customerName" cssClass="error small" />
			</div>
			<div class="form-group">
				<form:label path="pickupDate">Pick up date</form:label>
				<form:input path="pickupDate" class="form-control" />
				<form:errors path="pickupDate" cssClass="error small" />
			</div>
			<div class="form-group">
				<form:label path="returnDate">Return date</form:label>
				<form:input path="returnDate" class="form-control" />
				<form:errors path="returnDate" cssClass="error small" />
				<form:errors path="" cssClass="error small" element="div" />
			</div>
			<input type="submit" value="Find" class="btn btn-primary" />
		</form:form>
	</div>
</body>
</html>

examples/tesb/tomcat/app-reservation/src/main/webapp/WEB-INF/views/list.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@taglib uri="http://www.springframework.org/tags/form" prefix="form"%>
<!DOCTYPE html>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Rent-a-Car (Web) - Car List</title>
<meta name="viewport" content="width=device-width, initial-scale=1">

<link rel="stylesheet" href="css/bootstrap.min.css">
<link rel="stylesheet" href="css/style.css">

<script src="js/jquery.min.js"></script>
</head>
<body>
	<div class="container">
		<h1>Rent-a-Car (Web)</h1>

		<form:form action="back" method="POST">
			<input type="submit" title="Back" value="Back"
				class="btn btn-default" />
		</form:form>

		<form:form action="reserve" method="POST">
			<p class="h5">
				For the given date range we can offer you the following cars and
				conditions.<br />Please select the car you like to book in the
				table and click on 'Reserve'.
			</p>
			<table class="table table-hover">
				<thead>
					<tr>
						<th></th>
						<th>Brand</th>
						<th>Model</th>
						<th>Booking class</th>
						<th>Daily rate</th>
						<th>Weekend rate</th>
						<th>Insurance</th>
					</tr>
				</thead>
				<tbody>
					<c:forEach items="${cars}" var="car" varStatus="cntr">
						<tr radioBtnId="carIndex${cntr.index+1}">
							<td><form:radiobutton path="carIndex" value="${cntr.index}" /></td>
							<td>${car.brand}</td>
							<td>${car.designModel}</td>
							<td>${car.clazz}</td>
							<td>${car.rateDay}</td>
							<td>${car.rateWeekend}</td>
							<td>${car.securityGuarantee}</td>
						</tr>
					</c:forEach>
				</tbody>
			</table>
			<div>
				<input type="submit" title="Reserve" value="Reserve"
					class="btn btn-primary" />
			</div>
		</form:form>
	</div>
	<script type="text/javascript">
		var e = document.getElementById('carIndex1');
		if (e != null) {
			e.checked = true;
		}

		$(function() {
			$('tbody tr').click(function() {
				document.getElementById($(this).attr('radioBtnId')).checked=true;
			});
		});
	</script>
</body>
</html>